Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Interface FileSystem.HtmlStatus

All Superinterfaces:
  FileSystem.Status

Enclosing class:
  FileSystem

    public static interface FileSystem.HtmlStatus

extends FileSystem.Status

Extension interface for Status provides HTML-formatted annotations. Principally this is used to deëmphasize status text by presenting it in a lighter color, by placing it inside <font color=!controlShadow> tags. Note that it is preferable to use logical colors (such as controlShadow) which are resolved by calling UIManager.getColor(key) — this way they will always fit with the look and feel. To use a logical color, prefix the color name with a ! character.

Please use only the limited markup subset of HTML supported by the lightweight HTML renderer.

Since:
  4.30
See Also:
  `HtmlRenderer`

Method Summary
`String` | `annotateNameHtml(String name, Set files)` Annotate a name such that the returned value contains HTML markup.

Methods inherited from interface org.openide.filesystems.FileSystem.Status
`annotateIcon, annotateName`

Method Detail

### annotateNameHtml

    String annotateNameHtml(String name,
                            Set files)

  Annotate a name such that the returned value contains HTML markup. The return value less the html content should typically be the same as the return value from `annotateName()`. This is used, for example, by VCS filesystems to deëphasize the status information included in the file name by using a light grey font color.

  For consistency with `Node.getHtmlDisplayName()`, filesystems that proxy other filesystems (and so must implement this interface to supply HTML annotations) should return null if the filesystem they proxy does not provide an implementation of HTMLStatus.

  Since:
    4.30
  See Also:
    `HtmlRenderer`, `DataNode.getHtmlDisplayName()`, `Node`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.